.shoping-cart {
    padding: 4rem 7%;
    position: relative;
} 
.shoping-cart a {
    font-size: .85rem;
    color: var(--primary-color);
    font-weight: 500;
    display: inline-block;
    margin-bottom: 10px;
}
.shoping-cart h1 {
    font-size: 1.8rem;
    color: #333;
    margin-bottom: 2rem;
}
.shoping-cart .container {
    display: grid;
    gap: 2rem;
    grid-template-columns: 1fr 400px;
}
.shoping-cart .container .products {
    display: grid;
    gap: 30px;
}
.shoping-cart .container .product {
    position: relative;
    display: flex;
    gap: 30px;
    padding-top: 40px;
    border-top: 1px solid #eee;
}
.shoping-cart .container .product img {
    height: 220px;
    width: 200px;
    border-radius: 5px;
}
.shoping-cart .container .product .details {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    width: 100%;
}
.shoping-cart .container .product .details .top {
    display: flex;
    gap: 10px;
    align-items: flex-start;
    justify-content: space-between;
}
.shoping-cart .container .product .details .information .product-name {
    font-size: 14px;
    font-weight: 500;
    color: #333;
}
.shoping-cart .container .product .details .information .order-details {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 15px;
    margin: 8px 0;
    color: var(--gray-4);
}
.shoping-cart .container .product .details .information .price {
    font-size: 15px;
    color: black;
    font-weight: 500;
}
.shoping-cart .container .product .details .information .order-details span:nth-child(2) {
    height: 18px;
    width: 1px;
    background: #ccc;
}
.shoping-cart .container .product .details select {
    border: 1px solid #ccc;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
    height: max-content;
    padding: 6px 14px;
    color: #444;
    border-radius: 5px;
    outline: none;
}
.shoping-cart .container .product .details select option {
    font-size: 14px;
    color: #444;
    font-family: 'Poppins', sans-serif;
}
.shoping-cart .container .product .details .delete-to-the-cart {
    transition: 200ms ease;
}
.shoping-cart .container .product .details .delete-to-the-cart svg {
    width: 18px;
    color: #444;
}
.shoping-cart .container .product .details .delete-to-the-cart:hover svg {
    color: #222;
}
.shoping-cart .container .product .details .bottom {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: 14px;
    color: #333;
}
.shoping-cart .container .product .details .bottom svg {
    width: 18px;
    color: var(--primary-color);
}



.shoping-cart .container .order-summary {
    padding: 1.5rem 0;
    border-radius: 5px;
    height: max-content;
}
.shoping-cart .container .order-summary h3 {
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 1rem;
}
.shoping-cart .container .order-summary table {
    width: 100%;
    border-collapse: collapse;
}
.shoping-cart .container .order-summary table tr {
    width: 100%;
}
.shoping-cart .container .order-summary table tr td {
    border-bottom: 1px solid #ccc;
    padding: 15px 0;
    font-size: 13.5px;
    color: #444;
}
.shoping-cart .container .order-summary table tr td:last-child {
    text-align: right;
    color: #222;
    font-weight: 500;
}
.shoping-cart .container .order-summary table tr.special td {
    font-size: 15px;
    color: #222;
    font-weight: 500;
    border-bottom: none;
}
.shoping-cart .container .order-summary a {
    display: block;
    text-align: center;
    background: var(--primary-color);
    color: white;
    padding: 15px 30px;
    margin-top: 1rem;
    font-weight: 500;
}



@media (max-width: 1100px) {
    .shoping-cart .container {
        grid-template-columns: 1fr 330px;
    }
}

@media (max-width: 1000px) {
    .shoping-cart .container {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 750px) {
    .shoping-cart .container .product .details .top {
        justify-content: initial;
        gap: 30px;
    }
}

@media (max-width: 600px) {
    .shoping-cart .container .product,
    .shoping-cart .container .product .details .top {
        gap: 15px;
    }
    
    .shoping-cart .container .product .details .top {
        flex-direction: column;
    }
    .shoping-cart .container .product .details .delete-to-the-cart {
        position: absolute;
        right: 0;
    }
}

@media (max-width: 500px) {
    .shoping-cart .container .product img {
        width: 150px;
    }
    .shoping-cart .container .product .details .information .order-details {
        font-size: .9rem;
    }
    
}
